# YACBA

Полностью автономная система для cold-boot атак с собственным загрузчиком.

## Что это?

Самостоятельная микро-ОС на флешке, которая загружается с нуля и дампит оперативную память. Не зависит от установленной системы на компьютере.

## Архитектура

- `bootloader.asm` - Загрузчик в стиле OpenBSD
- `kernel.c` - Минимальное ядро без зависимостей
- `gdt.asm`, `print32.asm`, `switch_pm.asm` - Системные компоненты
- `linker.ld` - Скрипт компоновки
- `Makefile` - Сборка всей системы

## Принцип работы

1. Загрузчик стартует с MBR
2. Загружает ядро в память
3. Переключается в защищенный режим
4. Ядро сканирует и дампит память
5. Сохраняет данные во внутренний буфер

## Сборка

**На Linux:**
```bash
chmod +x build.sh
./build.sh
```

**На macOS/Windows (через Docker):**
```bash
chmod +x docker-build.sh
./docker-build.sh
```

**Создание флешки:**
```bash
sudo ./create_boot_usb.sh /dev/sdX
```

Вставить флешку в целевую систему и перезагрузиться. Система загрузится автоматически и начнет дамп.

## Быстрый старт

См. [QUICK_START.md](QUICK_START.md) для краткой инструкции.

